Subject: Re: [PATCH] setup: recognize bare repositories with packed-refs

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Nov 2023 08:24:38 +0900

Adam Majer <[email-masked]> writes:

> In a garbage collected bare git repository, the refs/ subdirectory is
> empty.  In use-cases when such a repository is directly added into
> another repository, it no longer is detected as valid.

Josh & Glen [*], isn't this a layout that we  explicitly discourage and
eventually plan to forbid anyway?

*1* who worked on e35f202b (setup: trace bare repository setups, 2023-05-01)